function radar_locate_times(radar_directory)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Megan Van Welie
% Worcester Polytechnic Institute
% Silicon Valley MQP 2011
% at SRI International
% megan6459@gmail.com
%
% This function compiles a list of orbit numbers, start times, and 
% end times of FAST orbits, which overlap the position of the Sondrestrom 
% radar. This function works off of the data in the radar_directory (set in
% the top level function process_orbit.m) that was created by
% radar_locate.m. The compiled list is saved into the same directory where
% the data is stored.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Read in directory 
dirlist = dir(radar_directory);
% Set heading labels to the compiled list
info = [cellstr('Orbit Name'),cellstr('Start Time'),cellstr('End Time')];

% Reads in all files in the radar directory and extracts there orbit
% number, start times, and end times.
for j = 3:length(dirlist)
    load(strcat(radar_directory,dirlist(j).name));
    starttime = cellstr(datestr(unixtime2mat2(ef_radar(1,1))));
    endtime = cellstr(datestr(unixtime2mat2(ef_radar(end,1))));
    orbitname = dirlist(j).name;
    orbitname = cellstr(orbitname(7:11));
    info = [info;orbitname, starttime, endtime];
    
end

% Save compiled list
save(strcat(radar_directory,'radar_orbits'),'info');
end